import React from 'react'
import styled from 'styled-components'
import Image from './images/loginPic@2x.png'
import { Title } from '../../../components/Typography'
import { Button } from '../../../components/Button'

export const StyledContainer = styled.div`
  display: flex;
  flex-direction: row;
  padding: 25px 0 25px 40px;

  ${props => props.theme.breakpoints.down('s')} {
	padding: 16px;
	flex-direction: column;
	align-items: center;
  }
`
export const StyledImageWrapper = styled.div`
  width: 54%;
  max-width: 737px;
  height: 803px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url(${Image});
  flex: 0 0 auto;

  ${props => props.theme.breakpoints.down('s')} {
	display: none;
  }
`

export const StyledMainContent = styled.div`
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  flex: auto;

  ${props => props.theme.breakpoints.down('s')} {
    width: 100%;
    padding-top: 50px;
  }
`

export const StyledHeadline = styled(Title)`
  margin-bottom: 10px !important;
  font-size: 36px;

  ${props => props.theme.breakpoints.down('s')} {
	margin-bottom: 4px !important;
  }
`

export const StyledTitle = styled(Title)`
  margin-top: 0 !important;
`
export const StyledContent = styled.div`
  margin-top: 52px;
  width: 358px;

  ${props => props.theme.breakpoints.down('s')} {
	width: 100%;
	margin-top: 47px;
  }
`

export const StyledButton = styled(Button)`
  margin-top: 30px;
`

export const StyledHelp = styled(Button)`
  padding: 0;
  font-size: 16px;
`

export const StyledHint = styled.div`
  text-align: center;
  margin-top: 33px;
`
